//
//  ViewController.m
//  test
//
//  Created by wfdx on 16/6/26.
//  Copyright © 2016年 dfzx. All rights reserved.
//

#import "ViewController.h"
#import "ListView.h"

@interface ViewController ()
{
    UISegmentedControl      *_segmentCtr;
}
@end

@implementation ViewController

- (void)viewDidLoad{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    
    NSArray *titleArray = @[@"待办任务",@"已办任务",@"作废任务"];
    //  3.segment按钮
    _segmentCtr= [[UISegmentedControl alloc]initWithItems:titleArray];
    _segmentCtr.frame = CGRectMake(0, 64, CGRectGetWidth(self.view.frame), 40);
    _segmentCtr.selectedSegmentIndex = 0;
    
    [_segmentCtr addTarget:self action:@selector(segmentAction:) forControlEvents:UIControlEventValueChanged];
    _segmentCtr.tintColor = [UIColor orangeColor];//去掉颜色,现在整个segment都看不见
    [self.view addSubview:_segmentCtr];

    
}
//点击切换
-(void)segmentAction:(UISegmentedControl *)sender
{
    NSLog(@"segment:%ld",sender.selectedSegmentIndex);
    
    ListView *listView= [[ListView alloc]initWithFrame:CGRectMake(0, 104, CGRectGetWidth(self.view.frame), CGRectGetHeight(self.view.frame)-104)];
    
    [listView jumpPassValueTag:sender.selectedSegmentIndex];
    
    [self.view addSubview:listView];
    
    NSLog(@"-----TAG:%ld",sender.selectedSegmentIndex);
    
    //    [self.navigationController pushViewController:listVC animated:YES];
    
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
