//
//  ListView.m
//  PDFReaderProject
//
//  Created by wfdx on 16/6/26.
//  Copyright © 2016年 dfzx. All rights reserved.
//

#import "ListView.h"
#import "TaskListTableViewCell.h"
#import "DataSource.h"

@implementation ListView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self){
    
        
        //待办任务
        UITableView *backlogTable = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, CGRectGetWidth(self.frame), CGRectGetHeight(self.frame)-104)];
        backlogTable.tag =11;
        backlogTable.rowHeight = 80;
        backlogTable.delegate = self;
        backlogTable.dataSource = self;
        [self addSubview:backlogTable];
        
        //注册自定义cell
        [backlogTable registerClass:[TaskListTableViewCell class] forCellReuseIdentifier:@"cellID1"];
    }
    return self;
}

#pragma mark --页面跳转tag传值
-(void)jumpPassValueTag:(NSInteger)tag
{
  
    DataSource *data = [[DataSource alloc]init];
    
    _totalArr =[data selectAry:tag];
}

#pragma mark --tableViewDelegate
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _totalArr.count;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    TaskListTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cellID1"];

    cell=[tableView dequeueReusableCellWithIdentifier:@"cellID1"];
    cell.backgroundColor =[UIColor grayColor];
    cell.numberLabel.text =@"1";
    cell.contractLabel.text = _totalArr[indexPath.row];
    cell.signLabel.text =@"签署人";
    cell.nameLabel.text =@"张三...";
    //            cell.timeLabel.text =[self timeToHourAndSecondsStr:obj.createTime];
    cell.timeLabel.numberOfLines =0;
    return cell;
}


/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
